<?php

/**
 * [BEGIN_COT_EXT]
 * Hooks=markettags.main
 * [END_COT_EXT]
 */

defined('COT_CODE') or die('Wrong URL');

$temp_array['VIZITED'] = 0;
if($item_data['item_id'] > 0) {
  $vizitedmarket = $usr['vizitedmarket'];
  if(!is_array($vizitedmarket)) {
    if($usr['id'] > 0) {
      $vizitedmarket = $usr['profile']['user_vizitedmarket'];
    } else {
      $vizitedmarket = cot_import('vizitedmarket', 'C', 'TXT');
    }
    $vizitedmarket = explode(',', $vizitedmarket);
    $usr['vizitedmarket'] = $vizitedmarket;
  }
  if(in_array($item_data['item_id'], $vizitedmarket)) $temp_array['VIZITED'] = 1;
}